> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a UCC company by company_id

> Returns the raw Typesense document from the ucc_companies collection for the supplied company_id.



## OpenAPI

````yaml get /v1/ucc/companies
openapi: 3.1.0
info:
  title: LeadX API
  version: 0.1.0
servers: []
security: []
tags:
  - name: All Attributes
    description: Aggregate and correlate data about companies and their associated records.
  - name: Better Business Bureau
    description: >-
      Retrieve Better Business Bureau (BBB) ratings and accreditation status for
      businesses.
  - name: Companies
    description: Enrich company data by URL, name, address, or phone.
  - name: Contacts
    description: Enrich data about contacts.
  - name: email
    description: Validate company email addresses.
  - name: Google Reviews
    description: Retrieve Google Reviews and ratings for businesses.
  - name: Mobile Number
    description: Enrich mobile phone numbers.
  - name: UCC
    description: Search across to the U.S. Uniform Commercial Code (UCC) lien filings.
paths:
  /v1/ucc/companies:
    get:
      tags:
        - UCC
        - UCC
      summary: Fetch a UCC company by company_id
      description: >-
        Returns the raw Typesense document from the ucc_companies collection for
        the supplied company_id.
      operationId: get_ucc_company_v1_ucc_companies_get
      parameters:
        - name: company_id
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            description: >-
              Company id / document id in the Typesense ucc_companies
              collection.
            title: Company Id
          description: Company id / document id in the Typesense ucc_companies collection.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UCCCompanyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    UCCCompanyResponse:
      properties:
        success:
          type: boolean
          title: Success
        company_id:
          type: string
          title: Company Id
        data:
          additionalProperties: true
          type: object
          title: Data
        length:
          type: integer
          title: Length
          default: 1
      type: object
      required:
        - success
        - company_id
        - data
      title: UCCCompanyResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````